<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Doctrine\DBAL\Driver\Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Services\Perfacessparc as PerfacessparcService;

class Perfacessparc {

    use TResponse;

    /**
     * @var PerfacessparcService
     */
    private $perfacessparcService;

    public function __construct(PerfacessparcService $perfacessparcService)
    {
        $this->perfacessparcService = $perfacessparcService;
    }

    /**
     * @param Request $request
     * @param Response $response
     * @throws Exception
     */
    public function createPerfaccessparc(Request $request, Response $response)
    {
        try{
            $rows = $request->getParameters();
            $labels = $rows[0]['aclNextLabelsTraductionLog'][0];
            $data = $this->perfacessparcService->savePerfaccessparc($rows, $labels);
            $this->sendResponse($data, 201);
        }catch(\Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    /**
     * @param Request $request
     * @param Response $response
     * @throws \Exception|Exception
     */
    public function updatePerfaccessparc(Request $request, Response $response)
    {
        try{
            $params = $request->getParameters();
            $labels = $params[0]['aclNextLabelsTraductionLog'][0];
            $this->perfacessparcService->updatePerfaccessparc($params, $labels);
        }catch(\Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    /**
     * @param Request $request
     * @param Response $response
     * @throws \Exception
     */
    public function deletePerfaccessparc(Request $request, Response $response)
    {
        try{
            $rows = $request->getParameters();
            $labels = $rows[0]['aclNextLabelsTraductionLog'][0];
            $this->perfacessparcService->deletePerfaccessparc($rows, $labels);
        }catch(\Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
