<?php


namespace ACL\Traits;


use ACL\Helpers\Instances\InstanceProvider;

trait TCrud
{
    public function select($table, $fields = '*', $conditions = NULL, $organizationId = NULL)
    {
        $query = "SELECT {$fields} FROM {$table} {$conditions}";
        $entityManager = InstanceProvider::getLibConnectionCustom()->updateVpdConnection($organizationId);
        $entityManager = $entityManager ? $entityManager: InstanceProvider::getEntityManager();
        return $entityManager->getConnection()->fetchAllAssociative($query);
    }

    public function findCount($table, $conditions = NULL)
    {
        $query  = "SELECT COUNT(*) AS COUNT FROM {$table} {$conditions}";
        $result = InstanceProvider::getEntityManager()->getConnection()->fetchAllAssociative($query);
        return $result[0]["COUNT"];
    }

    public function findOne($table, $fields = '*', $conditions = NULL, $organizationId = NULL)
    {
        $data = self::select($table, $fields, $conditions, $organizationId);
        return !empty($data) ? $data[0] : null;
    }

    public function update($table, array $campos, $conditions, $organizationId = NULL)
    {
        foreach($campos as $key => $value){
            $fields[] = "{$key} = {$value}";
        }
        $fields = implode(', ', $fields);
        $query = "UPDATE {$table} SET {$fields} WHERE {$conditions}";
        $std = InstanceProvider::getEntityManager()->getConnection()->prepare($query);
        $std->executeQuery();
    }
}
