<?php


namespace ACL\Util;


use ACL\Helpers\Instances\InstanceProvider;
use Exception;
use Zeedhi\Framework\Session\Session;

class ACLSession
{
    /**
     * @return Session
     * @throws Exception
     */
    private static function session(): Session
    {
        return InstanceProvider::getSession();
    }

    public static function getAllSession(): array
    {
        return self::session()->all();
    }

    public static function getCdoperador()
    {
        return self::session()->has('USER_ID') ? self::session()->get('USER_ID') : null;
    }

    public static function getNmoperador()
    {
        return self::session()->has('USER_NAME') ? self::session()->get('USER_NAME') : null;
    }

    public static function getNrorg()
    {
        return self::session()->has('ORGANIZATION_ID') ? self::session()->get('ORGANIZATION_ID') : null;
    }

    public static function getNmorg()
    {
        return self::session()->has('NMORG') ? self::session()->get('NMORG') : null;
    }

    public static function getNrorgtrab()
    {
        return self::session()->has('NRORGTRAB') ? self::session()->get('NRORGTRAB') : null;
    }

    public static function getNrestruttrab()
    {
        return self::session()->has('NRESTRUTTRAB') ? self::session()->get('NRESTRUTTRAB') : null;
    }

    public static function getCdempresa()
    {
        return self::session()->has('CDEMPRESA') ? self::session()->get('CDEMPRESA') : null;
    }

    public static function getCdFilial()
    {
        return self::session()->has('CDFILIAL') ? self::session()->get('CDFILIAL') : [];
    }

    public static function getACLAdministrator()
    {
        return self::session()->has('ACL_ADMINISTRATOR') ? self::session()->get('ACL_ADMINISTRATOR') : null;
    }

    public static function getIdutctrlacesweb()
    {
        return self::session()->has('IDUTCTRLACESWEB') ? self::session()->get('IDUTCTRLACESWEB') : null;
    }

    public static function getIdutlperfilfilial()
    {
        return self::session()->has('IDUTLPERFILFILIAL') ? self::session()->get('IDUTLPERFILFILIAL') : null;
    }

}