/* Tabela LOJA: TABELA DE LOJA*/
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela LOJA */
/* Objetivo: Gerar um log que vai registrar as alteraes na LOJA,
             utilizando a tabela de Logs de Operaes do VND*/
CREATE OR REPLACE TRIGGER LOG_VND_LOJA
AFTER DELETE OR INSERT OR UPDATE
ON LOJA FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
      IF NVL(:NEW.CDFILIAL,'NULL') <> NVL(:OLD.CDFILIAL,'NULL') THEN 
         V_DESC := 'Filial ' || ' ' || NVL(:NEW.CDFILIAL ,'' );
      END IF;
      IF NVL(:NEW.CDLOJA,'NULL') <> NVL(:OLD.CDLOJA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
      END IF;
      IF NVL(:NEW.NMLOJA,'NULL') <> NVL(:OLD.NMLOJA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Loja ' || ' ' || NVL(:NEW.NMLOJA,'' );
      END IF;
      IF NVL(:NEW.DSDIRUNIARQ,'NULL') <> NVL(:OLD.DSDIRUNIARQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Arq ' || ' ' || NVL(:NEW.DSDIRUNIARQ,'' );
      END IF;
      IF NVL(:NEW.IDCONTCVALE,'NULL') <> NVL(:OLD.IDCONTCVALE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cont CVale ' || ' ' || NVL(:NEW.IDCONTCVALE,'' );
      END IF;
      IF NVL(:NEW.CDALMOXARIFE,'NULL') <> NVL(:OLD.CDALMOXARIFE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:NEW.CDALMOXARIFE,'' );
      END IF;
      IF NVL(:NEW.CDLOCALESTOQ,'NULL') <> NVL(:OLD.CDLOCALESTOQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:NEW.CDLOCALESTOQ,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPDEL,'NULL') <> NVL(:OLD.IDTIPOIMPDEL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPOIMPDEL ' || ' ' || NVL(:NEW.IDTIPOIMPDEL,'' );
      END IF;
      IF NVL(:NEW.IDPORTIMPDEL,'NULL') <> NVL(:OLD.IDPORTIMPDEL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPORTIMPDEL ' || ' ' || NVL(:NEW.IDPORTIMPDEL,'' );
      END IF;
      IF NVL(:NEW.IDEXPORTCDS,'NULL') <> NVL(:OLD.IDEXPORTCDS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXPORTCDS ' || ' ' || NVL(:NEW.IDEXPORTCDS,'' );
      END IF;
      IF NVL(:NEW.NRDIAVALCVAL,'NULL') <> NVL(:OLD.NRDIAVALCVAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALCVAL ' || ' ' || NVL(:NEW.NRDIAVALCVAL,'' );
      END IF;
      IF NVL(:NEW.CDTABEPREC,'NULL') <> NVL(:OLD.CDTABEPREC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC,'' );
      END IF;
      IF NVL(:NEW.NRMESAPADRAO,'NULL') <> NVL(:OLD.NRMESAPADRAO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMESAPADRAO ' || ' ' || NVL(:NEW.NRMESAPADRAO,'' );
      END IF;
      IF NVL(:NEW.CDVENDPADRAO,'NULL') <> NVL(:OLD.CDVENDPADRAO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDPADRAO ' || ' ' || NVL(:NEW.CDVENDPADRAO,'' );
      END IF;
      IF NVL(:NEW.CDPRODCOUVER,'NULL') <> NVL(:OLD.CDPRODCOUVER,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOUVER ' || ' ' || NVL(:NEW.CDPRODCOUVER,'' );
      END IF;
      IF NVL(:NEW.CDPRODCONSUM,'NULL') <> NVL(:OLD.CDPRODCONSUM,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUM ' || ' ' || NVL(:NEW.CDPRODCONSUM,'' );
      END IF;
      IF NVL(:NEW.CDCLIENTERAT,'NULL') <> NVL(:OLD.CDCLIENTERAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTERAT ' || ' ' || NVL(:NEW.CDCLIENTERAT,'' );
      END IF;
      IF NVL(:NEW.IDCOMISVENDA,'NULL') <> NVL(:OLD.IDCOMISVENDA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMISVENDA ' || ' ' || NVL(:NEW.IDCOMISVENDA,'' );
      END IF;
      IF NVL(:NEW.VRCOMISVENDA,999999) <> NVL(:OLD.VRCOMISVENDA,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRCOMISVENDA ' || ' ' || NVL(:NEW.VRCOMISVENDA,'' );
      END IF;
      IF NVL(:NEW.IDCOMANDAVEN,'NULL') <> NVL(:OLD.IDCOMANDAVEN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAVEN ' || ' ' || NVL(:NEW.IDCOMANDAVEN,'' );
      END IF;
      IF NVL(:NEW.IDCOUVERART,'NULL') <> NVL(:OLD.IDCOUVERART,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOUVERART ' || ' ' || NVL(:NEW.IDCOUVERART,'' );
      END IF;
      IF NVL(:NEW.IDCONSUMAMIN,'NULL') <> NVL(:OLD.IDCONSUMAMIN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMAMIN ' || ' ' || NVL(:NEW.IDCONSUMAMIN,'' );
      END IF;
      IF NVL(:NEW.IDLUGARMESA,'NULL') <> NVL(:OLD.IDLUGARMESA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLUGARMESA ' || ' ' || NVL(:NEW.IDLUGARMESA,'' );
      END IF;
      IF NVL(:NEW.IDRATEIOCOMI,'NULL') <> NVL(:OLD.IDRATEIOCOMI,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRATEIOCOMI ' || ' ' || NVL(:NEW.IDRATEIOCOMI,'' );
      END IF;
      IF NVL(:NEW.NRMINSEMCONS,'NULL') <> NVL(:OLD.NRMINSEMCONS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINSEMCONS ' || ' ' || NVL(:NEW.NRMINSEMCONS,'' );
      END IF;
      IF NVL(:NEW.IDUTIVENDPAD,'NULL') <> NVL(:OLD.IDUTIVENDPAD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTIVENDPAD ' || ' ' || NVL(:NEW.IDUTIVENDPAD,'' );
      END IF;
      IF NVL(:NEW.IDCONTROPROD,'NULL') <> NVL(:OLD.IDCONTROPROD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTROPROD ' || ' ' || NVL(:NEW.IDCONTROPROD,'' );
      END IF;
      IF NVL(:NEW.CDLOJMESPADR,'NULL') <> NVL(:OLD.CDLOJMESPADR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJMESPADR ' || ' ' || NVL(:NEW.CDLOJMESPADR,'' );
      END IF;
      IF NVL(:NEW.CDPRODCOMVEN,'NULL') <> NVL(:OLD.CDPRODCOMVEN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOMVEN ' || ' ' || NVL(:NEW.CDPRODCOMVEN,'' );
      END IF;
      IF NVL(:NEW.CDGRPOCORPED,'NULL') <> NVL(:OLD.CDGRPOCORPED,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORPED ' || ' ' || NVL(:NEW.CDGRPOCORPED,'' );
      END IF;
      IF NVL(:NEW.CDGRPOCORCAN,'NULL') <> NVL(:OLD.CDGRPOCORCAN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCAN ' || ' ' || NVL(:NEW.CDGRPOCORCAN,'' );
      END IF;
      IF NVL(:NEW.IDSOLOBSPED,'NULL') <> NVL(:OLD.IDSOLOBSPED,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSPED ' || ' ' || NVL(:NEW.IDSOLOBSPED,'' );
      END IF;
      IF NVL(:NEW.IDSOLOBSCAN,'NULL') <> NVL(:OLD.IDSOLOBSCAN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCAN ' || ' ' || NVL(:NEW.IDSOLOBSCAN,'' );
      END IF;
      IF NVL(:NEW.DTULTATULOJA,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATULOJA,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATULOJA ' || ' ' || NVL(:NEW.DTULTATULOJA,'' );
      END IF;
      IF NVL(:NEW.CDPRODCONSUF,'NULL') <> NVL(:OLD.CDPRODCONSUF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUF ' || ' ' || NVL(:NEW.CDPRODCONSUF,'' );
      END IF;
      IF NVL(:NEW.IDTIPCOBRA,'NULL') <> NVL(:OLD.IDTIPCOBRA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPCOBRA ' || ' ' || NVL(:NEW.IDTIPCOBRA,'' );
      END IF;
      IF NVL(:NEW.CDCENTCUST,'NULL') <> NVL(:OLD.CDCENTCUST,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCENTCUST ' || ' ' || NVL(:NEW.CDCENTCUST,'' );
      END IF;
      IF NVL(:NEW.IDINFMESACOM,'NULL') <> NVL(:OLD.IDINFMESACOM,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFMESACOM ' || ' ' || NVL(:NEW.IDINFMESACOM,'' );
      END IF;
      IF NVL(:NEW.IDINFCONSCOM,'NULL') <> NVL(:OLD.IDINFCONSCOM,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFCONSCOM ' || ' ' || NVL(:NEW.IDINFCONSCOM,'' );
      END IF;
      IF NVL(:NEW.IDINFVENDCOM,'NULL') <> NVL(:OLD.IDINFVENDCOM,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFVENDCOM ' || ' ' || NVL(:NEW.IDINFVENDCOM,'' );
      END IF;
      IF NVL(:NEW.IDCOMANDAAUT,'NULL') <> NVL(:OLD.IDCOMANDAAUT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAAUT ' || ' ' || NVL(:NEW.IDCOMANDAAUT,'' );
      END IF;
      IF NVL(:NEW.IDPOSOBSPED,'NULL') <> NVL(:OLD.IDPOSOBSPED,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPOSOBSPED ' || ' ' || NVL(:NEW.IDPOSOBSPED,'' );
      END IF;
      IF NVL(:NEW.IDBLOQCOMPARC,'NULL') <> NVL(:OLD.IDBLOQCOMPARC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCOMPARC ' || ' ' || NVL(:NEW.IDBLOQCOMPARC,'' );
      END IF;
      IF NVL(:NEW.IDIMPCNPJCLIE,'NULL') <> NVL(:OLD.IDIMPCNPJCLIE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCNPJCLIE ' || ' ' || NVL(:NEW.IDIMPCNPJCLIE,'' );
      END IF;
      IF NVL(:NEW.IDUTLSENHAOPER,'NULL') <> NVL(:OLD.IDUTLSENHAOPER,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLSENHAOPER ' || ' ' || NVL(:NEW.IDUTLSENHAOPER,'' );
      END IF;
      IF NVL(:NEW.IDIMPRCUPTEFRED,'NULL') <> NVL(:OLD.IDIMPRCUPTEFRED,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRCUPTEFRED ' || ' ' || NVL(:NEW.IDIMPRCUPTEFRED,'' );
      END IF;
      IF NVL(:NEW.IDIMPCUPTROCA,'NULL') <> NVL(:OLD.IDIMPCUPTROCA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPTROCA ' || ' ' || NVL(:NEW.IDIMPCUPTROCA,'' );
      END IF;
      IF NVL(:NEW.NRDIASCUPTROCA,999999) <> NVL(:OLD.NRDIASCUPTROCA,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASCUPTROCA ' || ' ' || NVL(:NEW.NRDIASCUPTROCA,'' );
      END IF;
      IF NVL(:NEW.IDEXIBEMENSOP,'NULL') <> NVL(:OLD.IDEXIBEMENSOP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBEMENSOP ' || ' ' || NVL(:NEW.IDEXIBEMENSOP,'' );
      END IF;   
      IF NVL(:NEW.DSMENSOPERLOJA,'NULL') <> NVL(:OLD.DSMENSOPERLOJA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSOPERLOJA ' || ' ' || NVL(:NEW.DSMENSOPERLOJA,'' );
      END IF;
      IF NVL(:NEW.QTMAXPERVNDPROD,'NULL') <> NVL(:OLD.QTMAXPERVNDPROD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPERVNDPROD ' || ' ' || NVL(:NEW.QTMAXPERVNDPROD,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOP,'NULL') <> NVL(:OLD.IDENTRSAIDOP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
      END IF;
      IF NVL(:NEW.CDTIPOOPER,'NULL') <> NVL(:OLD.CDTIPOOPER,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
      END IF;
      IF NVL(:NEW.IDSOLOBSDESC,'NULL') <> NVL(:OLD.IDSOLOBSDESC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSDESC ' || ' ' || NVL(:NEW.IDSOLOBSDESC,'' );
      END IF;
      IF NVL(:NEW.IDSOLOBSCANCUP,'NULL') <> NVL(:OLD.IDSOLOBSCANCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCANCUP ' || ' ' || NVL(:NEW.IDSOLOBSCANCUP,'' );
      END IF; 
      IF NVL(:NEW.CDGRPOCORDESC,'NULL') <> NVL(:OLD.CDGRPOCORDESC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORDESC ' || ' ' || NVL(:NEW.CDGRPOCORDESC,'' );
      END IF;   
      IF NVL(:NEW.CDGRPOCORCANCUP,'NULL') <> NVL(:OLD.CDGRPOCORCANCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCANCUP ' || ' ' || NVL(:NEW.CDGRPOCORCANCUP,'' );
      END IF;  
      IF NVL(:NEW.QTMAXPEDFOS,'NULL') <> NVL(:OLD.QTMAXPEDFOS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPEDFOS ' || ' ' || NVL(:NEW.QTMAXPEDFOS,'' );
      END IF;
      IF NVL(:NEW.IDHABFORMTEF,'NULL') <> NVL(:OLD.IDHABFORMTEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDHABFORMTEF ' || ' ' || NVL(:NEW.IDHABFORMTEF,'' );
      END IF;
      IF NVL(:NEW.CDGROBENVMENSP,'NULL') <> NVL(:OLD.CDGROBENVMENSP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROBENVMENSP ' || ' ' || NVL(:NEW.CDGROBENVMENSP,'' );
      END IF;
      IF NVL(:NEW.IDREUTILIZACMD,'NULL') <> NVL(:OLD.IDREUTILIZACMD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDREUTILIZACMD ' || ' ' || NVL(:NEW.IDREUTILIZACMD,'' );
      END IF;
      IF NVL(:NEW.IPSERVPRI,'NULL') <> NVL(:OLD.IPSERVPRI,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVPRI ' || ' ' || NVL(:NEW.IPSERVPRI,'' );
      END IF;
      IF NVL(:NEW.IPSERVSEC,'NULL') <> NVL(:OLD.IPSERVSEC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVSEC ' || ' ' || NVL(:NEW.IPSERVSEC,'' );
      END IF;
      IF NVL(:NEW.IDEXIBTICCUP,'NULL') <> NVL(:OLD.IDEXIBTICCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBTICCUP ' || ' ' || NVL(:NEW.IDEXIBTICCUP,'' );
      END IF;
      IF NVL(:NEW.HRTEMPOENTREGA,'NULL') <> NVL(:OLD.HRTEMPOENTREGA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRTEMPOENTREGA ' || ' ' || NVL(:NEW.HRTEMPOENTREGA,'' );
      END IF;
      IF NVL(:NEW.VRMETATKMEDIO,999999) <> NVL(:OLD.VRMETATKMEDIO,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMETATKMEDIO ' || ' ' || NVL(:NEW.VRMETATKMEDIO,'' );
      END IF;
      IF NVL(:NEW.IDIMPEXPKDS,'NULL') <> NVL(:OLD.IDIMPEXPKDS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPEXPKDS ' || ' ' || NVL(:NEW.IDIMPEXPKDS,'' );
      END IF;
      IF NVL(:NEW.VRPEQUEBRACAIXA,999999) <> NVL(:OLD.VRPEQUEBRACAIXA,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEQUEBRACAIXA ' || ' ' || NVL(:NEW.VRPEQUEBRACAIXA,'' );
      END IF;
      IF NVL(:NEW.VRPEAJUSTEEST,999999) <> NVL(:OLD.VRPEAJUSTEEST,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEAJUSTEEST ' || ' ' || NVL(:NEW.VRPEAJUSTEEST,'' );
      END IF;
      IF NVL(:NEW.VRPEPERDAEST,999999) <> NVL(:OLD.VRPEPERDAEST,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEPERDAEST ' || ' ' || NVL(:NEW.VRPEPERDAEST,'' );
      END IF;
      IF NVL(:NEW.QTCUPONSCANC,999999) <> NVL(:OLD.QTCUPONSCANC,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTCUPONSCANC ' || ' ' || NVL(:NEW.QTCUPONSCANC,'' );
      END IF;
      IF NVL(:NEW.NRTEMPOPRODUCAO,'NULL') <> NVL(:OLD.NRTEMPOPRODUCAO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPOPRODUCAO ' || ' ' || NVL(:NEW.NRTEMPOPRODUCAO,'' );
      END IF;
      IF NVL(:NEW.CDPRODTAXASERV,'NULL') <> NVL(:OLD.CDPRODTAXASERV,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXASERV ' || ' ' || NVL(:NEW.CDPRODTAXASERV,'' );
      END IF;
      IF NVL(:NEW.IDTRATTAXASERV,'NULL') <> NVL(:OLD.IDTRATTAXASERV,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXASERV ' || ' ' || NVL(:NEW.IDTRATTAXASERV,'' );
      END IF;
      IF NVL(:NEW.IDDESBLOPRODAUT,'NULL') <> NVL(:OLD.IDDESBLOPRODAUT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDESBLOPRODAUT ' || ' ' || NVL(:NEW.IDDESBLOPRODAUT,'' );
      END IF;
      IF NVL(:NEW.VRMAXDESCONTO,999999) <> NVL(:OLD.VRMAXDESCONTO,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXDESCONTO ' || ' ' || NVL(:NEW.VRMAXDESCONTO,'' );
      END IF;
      IF NVL(:NEW.CDPRODTAXAENTR,'NULL') <> NVL(:OLD.CDPRODTAXAENTR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXAENTR ' || ' ' || NVL(:NEW.CDPRODTAXAENTR,'' );
      END IF;
      IF NVL(:NEW.IDTRATTAXAENTR,'NULL') <> NVL(:OLD.IDTRATTAXAENTR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXAENTR ' || ' ' || NVL(:NEW.IDTRATTAXAENTR,'' );
      END IF;
      V_ITPESQ := :NEW.CDFILIAL||:NEW.CDLOJA;
      V_IDTIPOOPER := '2';
   ELSE
      IF INSERTING THEN
      IF :NEW.CDFILIAL IS NOT NULL THEN
         V_DESC := 'Filial ' || ' ' || NVL(:NEW.CDFILIAL ,'' );
      END IF;
      IF :NEW.CDLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
      END IF;
      IF :NEW.NMLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Loja ' || ' ' || NVL(:NEW.NMLOJA,'' );
      END IF;
      IF :NEW.DSDIRUNIARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRUNIARQ ' || ' ' || NVL(:NEW.DSDIRUNIARQ,'' );
      END IF;
      IF :NEW.IDCONTCVALE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTCVALE ' || ' ' || NVL(:NEW.IDCONTCVALE,'' );
      END IF;
      IF :NEW.CDALMOXARIFE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:NEW.CDALMOXARIFE,'' );
      END IF;
      IF :NEW.CDLOCALESTOQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:NEW.CDLOCALESTOQ,'' );
      END IF;
      IF :NEW.IDTIPOIMPDEL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPOIMPDEL ' || ' ' || NVL(:NEW.IDTIPOIMPDEL,'' );
      END IF;
      IF :NEW.IDPORTIMPDEL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPORTIMPDEL ' || ' ' || NVL(:NEW.IDPORTIMPDEL,'' );
      END IF;
      IF :NEW.IDEXPORTCDS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXPORTCDS ' || ' ' || NVL(:NEW.IDEXPORTCDS,'' );
      END IF;
      IF :NEW.NRDIAVALCVAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALCVAL ' || ' ' || NVL(:NEW.NRDIAVALCVAL,'' );
      END IF;
      IF :NEW.CDTABEPREC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC,'' );
      END IF;
      IF :NEW.NRMESAPADRAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMESAPADRAO ' || ' ' || NVL(:NEW.NRMESAPADRAO,'' );
      END IF;
      IF :NEW.CDVENDPADRAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDPADRAO ' || ' ' || NVL(:NEW.CDVENDPADRAO,'' );
      END IF;
      IF :NEW.CDPRODCOUVER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOUVER ' || ' ' || NVL(:NEW.CDPRODCOUVER,'' );
      END IF;
      IF :NEW.CDPRODCONSUM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUM ' || ' ' || NVL(:NEW.CDPRODCONSUM,'' );
      END IF;
      IF :NEW.CDCLIENTERAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTERAT ' || ' ' || NVL(:NEW.CDCLIENTERAT,'' );
      END IF;
      IF :NEW.IDCOMISVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMISVENDA ' || ' ' || NVL(:NEW.IDCOMISVENDA,'' );
      END IF;
      IF :NEW.VRCOMISVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRCOMISVENDA ' || ' ' || NVL(:NEW.VRCOMISVENDA,'' );
      END IF;
      IF :NEW.IDCOMANDAVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAVEN ' || ' ' || NVL(:NEW.IDCOMANDAVEN,'' );
      END IF;
      IF :NEW.IDCOUVERART IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOUVERART ' || ' ' || NVL(:NEW.IDCOUVERART,'' );
      END IF;
      IF :NEW.IDCONSUMAMIN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMAMIN ' || ' ' || NVL(:NEW.IDCONSUMAMIN,'' );
      END IF;
      IF :NEW.IDLUGARMESA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLUGARMESA ' || ' ' || NVL(:NEW.IDLUGARMESA,'' );
      END IF;
      IF :NEW.IDRATEIOCOMI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRATEIOCOMI ' || ' ' || NVL(:NEW.IDRATEIOCOMI,'' );
      END IF;
      IF :NEW.NRMINSEMCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINSEMCONS ' || ' ' || NVL(:NEW.NRMINSEMCONS,'' );
      END IF;
      IF :NEW.IDUTIVENDPAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTIVENDPAD ' || ' ' || NVL(:NEW.IDUTIVENDPAD,'' );
      END IF;
      IF :NEW.IDCONTROPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTROPROD ' || ' ' || NVL(:NEW.IDCONTROPROD,'' );
      END IF;
      IF :NEW.CDLOJMESPADR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJMESPADR ' || ' ' || NVL(:NEW.CDLOJMESPADR,'' );
      END IF;
      IF :NEW.CDPRODCOMVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOMVEN ' || ' ' || NVL(:NEW.CDPRODCOMVEN,'' );
      END IF;
      IF :NEW.CDGRPOCORPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORPED ' || ' ' || NVL(:NEW.CDGRPOCORPED,'' );
      END IF;
      IF :NEW.CDGRPOCORCAN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCAN ' || ' ' || NVL(:NEW.CDGRPOCORCAN,'' );
      END IF;
      IF :NEW.IDSOLOBSPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSPED ' || ' ' || NVL(:NEW.IDSOLOBSPED,'' );
      END IF;
      IF :NEW.IDSOLOBSCAN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCAN ' || ' ' || NVL(:NEW.IDSOLOBSCAN,'' );
      END IF;
      IF :NEW.DTULTATULOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATULOJA ' || ' ' || NVL(:NEW.DTULTATULOJA,'' );
      END IF;
      IF :NEW.CDPRODCONSUF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUF ' || ' ' || NVL(:NEW.CDPRODCONSUF,'' );
      END IF;
      IF :NEW.IDTIPCOBRA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPCOBRA ' || ' ' || NVL(:NEW.IDTIPCOBRA,'' );
      END IF;
      IF :NEW.CDCENTCUST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCENTCUST ' || ' ' || NVL(:NEW.CDCENTCUST,'' );
      END IF;
      IF :NEW.IDINFMESACOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFMESACOM ' || ' ' || NVL(:NEW.IDINFMESACOM,'' );
      END IF;
      IF :NEW.IDINFCONSCOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFCONSCOM ' || ' ' || NVL(:NEW.IDINFCONSCOM,'' );
      END IF;
      IF :NEW.IDINFVENDCOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFVENDCOM ' || ' ' || NVL(:NEW.IDINFVENDCOM,'' );
      END IF;
      IF :NEW.IDCOMANDAAUT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAAUT ' || ' ' || NVL(:NEW.IDCOMANDAAUT,'' );
      END IF;
      IF :NEW.IDPOSOBSPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPOSOBSPED ' || ' ' || NVL(:NEW.IDPOSOBSPED,'' );
      END IF;
      IF :NEW.IDBLOQCOMPARC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCOMPARC ' || ' ' || NVL(:NEW.IDBLOQCOMPARC,'' );
      END IF;
      IF :NEW.IDIMPCNPJCLIE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCNPJCLIE ' || ' ' || NVL(:NEW.IDIMPCNPJCLIE,'' );
      END IF;
      IF :NEW.IDUTLSENHAOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLSENHAOPER ' || ' ' || NVL(:NEW.IDUTLSENHAOPER,'' );
      END IF;
      IF :NEW.IDIMPRCUPTEFRED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRCUPTEFRED ' || ' ' || NVL(:NEW.IDIMPRCUPTEFRED,'' );
      END IF;
      IF :NEW.IDIMPCUPTROCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPTROCA ' || ' ' || NVL(:NEW.IDIMPCUPTROCA,'' );
      END IF;
      IF :NEW.NRDIASCUPTROCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASCUPTROCA ' || ' ' || NVL(:NEW.NRDIASCUPTROCA,'' );
      END IF;
      IF :NEW.IDEXIBEMENSOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBEMENSOP ' || ' ' || NVL(:NEW.IDEXIBEMENSOP,'' );
      END IF;   
      IF :NEW.DSMENSOPERLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSOPERLOJA ' || ' ' || NVL(:NEW.DSMENSOPERLOJA,'' );
      END IF;
      IF :NEW.QTMAXPERVNDPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPERVNDPROD ' || ' ' || NVL(:NEW.QTMAXPERVNDPROD,'' );
      END IF;
      IF :NEW.IDENTRSAIDOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
      END IF;
      IF :NEW.CDTIPOOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
      END IF;
      IF :NEW.IDSOLOBSDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSDESC ' || ' ' || NVL(:NEW.IDSOLOBSDESC,'' );
      END IF;
      IF :NEW.IDSOLOBSCANCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCANCUP ' || ' ' || NVL(:NEW.IDSOLOBSCANCUP,'' );
      END IF; 
      IF :NEW.CDGRPOCORDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORDESC ' || ' ' || NVL(:NEW.CDGRPOCORDESC,'' );
      END IF;   
      IF :NEW.CDGRPOCORCANCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCANCUP ' || ' ' || NVL(:NEW.CDGRPOCORCANCUP,'' );
      END IF;  
      IF :NEW.QTMAXPEDFOS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPEDFOS ' || ' ' || NVL(:NEW.QTMAXPEDFOS,'' );
      END IF;
      IF :NEW.IDHABFORMTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDHABFORMTEF ' || ' ' || NVL(:NEW.IDHABFORMTEF,'' );
      END IF;
      IF :NEW.CDGROBENVMENSP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROBENVMENSP ' || ' ' || NVL(:NEW.CDGROBENVMENSP,'' );
      END IF;
      IF :NEW.IDREUTILIZACMD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDREUTILIZACMD ' || ' ' || NVL(:NEW.IDREUTILIZACMD,'' );
      END IF;
      IF :NEW.IPSERVPRI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVPRI ' || ' ' || NVL(:NEW.IPSERVPRI,'' );
      END IF;
      IF :NEW.IPSERVSEC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVSEC ' || ' ' || NVL(:NEW.IPSERVSEC,'' );
      END IF;
      IF :NEW.IDEXIBTICCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBTICCUP ' || ' ' || NVL(:NEW.IDEXIBTICCUP,'' );
      END IF;
      IF :NEW.HRTEMPOENTREGA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRTEMPOENTREGA ' || ' ' || NVL(:NEW.HRTEMPOENTREGA,'' );
      END IF;
      IF :NEW.VRMETATKMEDIO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMETATKMEDIO ' || ' ' || NVL(:NEW.VRMETATKMEDIO,'' );
      END IF;
      IF :NEW.IDIMPEXPKDS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPEXPKDS ' || ' ' || NVL(:NEW.IDIMPEXPKDS,'' );
      END IF;
      IF :NEW.VRPEQUEBRACAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEQUEBRACAIXA ' || ' ' || NVL(:NEW.VRPEQUEBRACAIXA,'' );
      END IF;
      IF :NEW.VRPEAJUSTEEST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEAJUSTEEST ' || ' ' || NVL(:NEW.VRPEAJUSTEEST,'' );
      END IF;
      IF :NEW.VRPEPERDAEST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEPERDAEST ' || ' ' || NVL(:NEW.VRPEPERDAEST,'' );
      END IF;
      IF :NEW.QTCUPONSCANC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTCUPONSCANC ' || ' ' || NVL(:NEW.QTCUPONSCANC,'' );
      END IF;
      IF :NEW.NRTEMPOPRODUCAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPOPRODUCAO ' || ' ' || NVL(:NEW.NRTEMPOPRODUCAO,'' );
      END IF;
      IF :NEW.CDPRODTAXASERV IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXASERV ' || ' ' || NVL(:NEW.CDPRODTAXASERV,'' );
      END IF;
      IF :NEW.IDTRATTAXASERV IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXASERV ' || ' ' || NVL(:NEW.IDTRATTAXASERV,'' );
      END IF;
      IF :NEW.IDDESBLOPRODAUT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDESBLOPRODAUT ' || ' ' || NVL(:NEW.IDDESBLOPRODAUT,'' );
      END IF;
      IF :NEW.VRMAXDESCONTO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXDESCONTO ' || ' ' || NVL(:NEW.VRMAXDESCONTO,'' );
      END IF;
      IF :NEW.CDPRODTAXAENTR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXAENTR ' || ' ' || NVL(:NEW.CDPRODTAXAENTR,'' );
      END IF;
      IF :NEW.IDTRATTAXAENTR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXAENTR ' || ' ' || NVL(:NEW.IDTRATTAXAENTR,'' );
      END IF;
      V_ITPESQ := :NEW.CDFILIAL||:NEW.CDLOJA;
         V_IDTIPOOPER := '1';
      ELSE
      IF DELETING THEN
      IF :OLD.CDFILIAL IS NOT NULL THEN
         V_DESC := 'Filial ' || ' ' || NVL(:OLD.CDFILIAL ,'' );
      END IF;
      IF :OLD.CDLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:OLD.CDLOJA,'' );
      END IF;
      IF :OLD.NMLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Loja ' || ' ' || NVL(:OLD.NMLOJA,'' );
      END IF;
      IF :OLD.DSDIRUNIARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRUNIARQ ' || ' ' || NVL(:OLD.DSDIRUNIARQ,'' );
      END IF;
      IF :OLD.IDCONTCVALE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTCVALE ' || ' ' || NVL(:OLD.IDCONTCVALE,'' );
      END IF;
      IF :OLD.CDALMOXARIFE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:OLD.CDALMOXARIFE,'' );
      END IF;
      IF :OLD.CDLOCALESTOQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:OLD.CDLOCALESTOQ,'' );
      END IF;
      IF :OLD.IDTIPOIMPDEL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPOIMPDEL ' || ' ' || NVL(:OLD.IDTIPOIMPDEL,'' );
      END IF;
      IF :OLD.IDPORTIMPDEL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPORTIMPDEL ' || ' ' || NVL(:OLD.IDPORTIMPDEL,'' );
      END IF;
      IF :OLD.IDEXPORTCDS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXPORTCDS ' || ' ' || NVL(:OLD.IDEXPORTCDS,'' );
      END IF;
      IF :OLD.NRDIAVALCVAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALCVAL ' || ' ' || NVL(:OLD.NRDIAVALCVAL,'' );
      END IF;
      IF :OLD.CDTABEPREC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:OLD.CDTABEPREC,'' );
      END IF;
      IF :OLD.NRMESAPADRAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMESAPADRAO ' || ' ' || NVL(:OLD.NRMESAPADRAO,'' );
      END IF;
      IF :OLD.CDVENDPADRAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDPADRAO ' || ' ' || NVL(:OLD.CDVENDPADRAO,'' );
      END IF;
      IF :OLD.CDPRODCOUVER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOUVER ' || ' ' || NVL(:OLD.CDPRODCOUVER,'' );
      END IF;
      IF :OLD.CDPRODCONSUM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUM ' || ' ' || NVL(:OLD.CDPRODCONSUM,'' );
      END IF;
      IF :OLD.CDCLIENTERAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTERAT ' || ' ' || NVL(:OLD.CDCLIENTERAT,'' );
      END IF;
      IF :OLD.IDCOMISVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMISVENDA ' || ' ' || NVL(:OLD.IDCOMISVENDA,'' );
      END IF;
      IF :OLD.VRCOMISVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRCOMISVENDA ' || ' ' || NVL(:OLD.VRCOMISVENDA,'' );
      END IF;
      IF :OLD.IDCOMANDAVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAVEN ' || ' ' || NVL(:OLD.IDCOMANDAVEN,'' );
      END IF;
      IF :OLD.IDCOUVERART IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOUVERART ' || ' ' || NVL(:OLD.IDCOUVERART,'' );
      END IF;
      IF :OLD.IDCONSUMAMIN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMAMIN ' || ' ' || NVL(:OLD.IDCONSUMAMIN,'' );
      END IF;
      IF :OLD.IDLUGARMESA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLUGARMESA ' || ' ' || NVL(:OLD.IDLUGARMESA,'' );
      END IF;
      IF :OLD.IDRATEIOCOMI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRATEIOCOMI ' || ' ' || NVL(:OLD.IDRATEIOCOMI,'' );
      END IF;
      IF :OLD.NRMINSEMCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINSEMCONS ' || ' ' || NVL(:OLD.NRMINSEMCONS,'' );
      END IF;
      IF :OLD.IDUTIVENDPAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTIVENDPAD ' || ' ' || NVL(:OLD.IDUTIVENDPAD,'' );
      END IF;
      IF :OLD.IDCONTROPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTROPROD ' || ' ' || NVL(:OLD.IDCONTROPROD,'' );
      END IF;
      IF :OLD.CDLOJMESPADR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJMESPADR ' || ' ' || NVL(:OLD.CDLOJMESPADR,'' );
      END IF;
      IF :OLD.CDPRODCOMVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCOMVEN ' || ' ' || NVL(:OLD.CDPRODCOMVEN,'' );
      END IF;
      IF :OLD.CDGRPOCORPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORPED ' || ' ' || NVL(:OLD.CDGRPOCORPED,'' );
      END IF;
      IF :OLD.CDGRPOCORCAN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCAN ' || ' ' || NVL(:OLD.CDGRPOCORCAN,'' );
      END IF;
      IF :OLD.IDSOLOBSPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSPED ' || ' ' || NVL(:OLD.IDSOLOBSPED,'' );
      END IF;
      IF :OLD.IDSOLOBSCAN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCAN ' || ' ' || NVL(:OLD.IDSOLOBSCAN,'' );
      END IF;
      IF :OLD.DTULTATULOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATULOJA ' || ' ' || NVL(:OLD.DTULTATULOJA,'' );
      END IF;
      IF :OLD.CDPRODCONSUF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCONSUF ' || ' ' || NVL(:OLD.CDPRODCONSUF,'' );
      END IF;
      IF :OLD.IDTIPCOBRA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPCOBRA ' || ' ' || NVL(:OLD.IDTIPCOBRA,'' );
      END IF;
      IF :OLD.CDCENTCUST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCENTCUST ' || ' ' || NVL(:OLD.CDCENTCUST,'' );
      END IF;
      IF :OLD.IDINFMESACOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFMESACOM ' || ' ' || NVL(:OLD.IDINFMESACOM,'' );
      END IF;
      IF :OLD.IDINFCONSCOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFCONSCOM ' || ' ' || NVL(:OLD.IDINFCONSCOM,'' );
      END IF;
      IF :OLD.IDINFVENDCOM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFVENDCOM ' || ' ' || NVL(:OLD.IDINFVENDCOM,'' );
      END IF;
      IF :OLD.IDCOMANDAAUT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMANDAAUT ' || ' ' || NVL(:OLD.IDCOMANDAAUT,'' );
      END IF;
      IF :OLD.IDPOSOBSPED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPOSOBSPED ' || ' ' || NVL(:OLD.IDPOSOBSPED,'' );
      END IF;
      IF :OLD.IDBLOQCOMPARC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCOMPARC ' || ' ' || NVL(:OLD.IDBLOQCOMPARC,'' );
      END IF;
      IF :OLD.IDIMPCNPJCLIE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCNPJCLIE ' || ' ' || NVL(:OLD.IDIMPCNPJCLIE,'' );
      END IF;
      IF :OLD.IDUTLSENHAOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLSENHAOPER ' || ' ' || NVL(:OLD.IDUTLSENHAOPER,'' );
      END IF;
      IF :OLD.IDIMPRCUPTEFRED IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRCUPTEFRED ' || ' ' || NVL(:OLD.IDIMPRCUPTEFRED,'' );
      END IF;
      IF :OLD.IDIMPCUPTROCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPTROCA ' || ' ' || NVL(:OLD.IDIMPCUPTROCA,'' );
      END IF;
      IF :OLD.NRDIASCUPTROCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASCUPTROCA ' || ' ' || NVL(:OLD.NRDIASCUPTROCA,'' );
      END IF;
      IF :OLD.IDEXIBEMENSOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBEMENSOP ' || ' ' || NVL(:OLD.IDEXIBEMENSOP,'' );
      END IF;   
      IF :OLD.DSMENSOPERLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSOPERLOJA ' || ' ' || NVL(:OLD.DSMENSOPERLOJA,'' );
      END IF;
      IF :OLD.QTMAXPERVNDPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPERVNDPROD ' || ' ' || NVL(:OLD.QTMAXPERVNDPROD,'' );
      END IF;
      IF :OLD.IDENTRSAIDOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:OLD.IDENTRSAIDOP,'' );
      END IF;
      IF :OLD.CDTIPOOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:OLD.CDTIPOOPER,'' );
      END IF;
      IF :OLD.IDSOLOBSDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSDESC ' || ' ' || NVL(:OLD.IDSOLOBSDESC,'' );
      END IF;
      IF :OLD.IDSOLOBSCANCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLOBSCANCUP ' || ' ' || NVL(:OLD.IDSOLOBSCANCUP,'' );
      END IF; 
      IF :OLD.CDGRPOCORDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORDESC ' || ' ' || NVL(:OLD.CDGRPOCORDESC,'' );
      END IF;   
      IF :OLD.CDGRPOCORCANCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPOCORCANCUP ' || ' ' || NVL(:OLD.CDGRPOCORCANCUP,'' );
      END IF;  
      IF :OLD.QTMAXPEDFOS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMAXPEDFOS ' || ' ' || NVL(:OLD.QTMAXPEDFOS,'' );
      END IF;
      IF :OLD.IDHABFORMTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDHABFORMTEF ' || ' ' || NVL(:OLD.IDHABFORMTEF,'' );
      END IF;
      IF :OLD.CDGROBENVMENSP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROBENVMENSP ' || ' ' || NVL(:OLD.CDGROBENVMENSP,'' );
      END IF;
      IF :OLD.IDREUTILIZACMD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDREUTILIZACMD ' || ' ' || NVL(:OLD.IDREUTILIZACMD,'' );
      END IF;
      IF :OLD.IPSERVPRI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVPRI ' || ' ' || NVL(:OLD.IPSERVPRI,'' );
      END IF;
      IF :OLD.IPSERVSEC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IPSERVSEC ' || ' ' || NVL(:OLD.IPSERVSEC,'' );
      END IF;
      IF :OLD.IDEXIBTICCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBTICCUP ' || ' ' || NVL(:OLD.IDEXIBTICCUP,'' );
      END IF;
      IF :OLD.HRTEMPOENTREGA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRTEMPOENTREGA ' || ' ' || NVL(:OLD.HRTEMPOENTREGA,'' );
      END IF;
      IF :OLD.VRMETATKMEDIO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMETATKMEDIO ' || ' ' || NVL(:OLD.VRMETATKMEDIO,'' );
      END IF;
      IF :OLD.IDIMPEXPKDS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPEXPKDS ' || ' ' || NVL(:OLD.IDIMPEXPKDS,'' );
      END IF;
      IF :OLD.VRPEQUEBRACAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEQUEBRACAIXA ' || ' ' || NVL(:OLD.VRPEQUEBRACAIXA,'' );
      END IF;
      IF :OLD.VRPEAJUSTEEST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEAJUSTEEST ' || ' ' || NVL(:OLD.VRPEAJUSTEEST,'' );
      END IF;
      IF :OLD.VRPEPERDAEST IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEPERDAEST ' || ' ' || NVL(:OLD.VRPEPERDAEST,'' );
      END IF;
      IF :OLD.QTCUPONSCANC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTCUPONSCANC ' || ' ' || NVL(:OLD.QTCUPONSCANC,'' );
      END IF;
      IF :OLD.NRTEMPOPRODUCAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPOPRODUCAO ' || ' ' || NVL(:OLD.NRTEMPOPRODUCAO,'' );
      END IF;
      IF :OLD.CDPRODTAXASERV IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXASERV ' || ' ' || NVL(:OLD.CDPRODTAXASERV,'' );
      END IF;
      IF :OLD.IDTRATTAXASERV IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXASERV ' || ' ' || NVL(:OLD.IDTRATTAXASERV,'' );
      END IF;
      IF :OLD.IDDESBLOPRODAUT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDESBLOPRODAUT ' || ' ' || NVL(:OLD.IDDESBLOPRODAUT,'' );
      END IF;
      IF :OLD.VRMAXDESCONTO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXDESCONTO ' || ' ' || NVL(:OLD.VRMAXDESCONTO,'' );
      END IF;
      IF :OLD.CDPRODTAXAENTR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXAENTR ' || ' ' || NVL(:OLD.CDPRODTAXAENTR,'' );
      END IF;
      IF :OLD.IDTRATTAXAENTR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRATTAXAENTR ' || ' ' || NVL(:OLD.IDTRATTAXAENTR,'' );
      END IF;
      V_ITPESQ := :OLD.CDFILIAL||:OLD.CDLOJA;
            V_IDTIPOOPER := '3';
         END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 300);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('LOJA',
       SYSDATE, 
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC, ' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NVL(:NEW.CDFILIAL, :OLD.CDFILIAL));
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_LOJA','5.20.001'); END;
/