if EXISTS(SELECT * FROM SYSOBJECTS O, SYSUSERS U
   WHERE
   O.NAME = 'TESTAPRODUTO' AND
   TYPE = 'P' and
   U.UID = O.UID and
   U.NAME = USER)

DROP procedure TESTAPRODUTO;
GO

CREATE PROCEDURE TESTAPRODUTO @P_CDPRODUTO  VARCHAR(10),
                              @P_SUBPRODUTO VARCHAR(10),
                              @P_CDFILIAL   VARCHAR(04)
AS
   DECLARE @V_IDPRODLOCAL  VARCHAR(1);
   DECLARE @V_CDSUBPRODLOC VARCHAR(10);
BEGIN
   IF (@P_CDFILIAL IS NULL) BEGIN
      SET @P_CDFILIAL = NULL
   END;
END;
GO

ALTER PROCEDURE TESTAPRODUTO(@P_CDPRODUTO  VARCHAR(10),
                              @P_SUBPRODUTO VARCHAR(10),
                              @P_CDFILIAL   VARCHAR(04))

AS

   DECLARE @V_IDPRODLOCAL  VARCHAR(1);
   DECLARE @V_CDSUBPRODLOC VARCHAR(10);

   DECLARE @V_CURSORPAD    CURSOR;
   DECLARE @V_CURSORLOC    CURSOR;
BEGIN

   IF (@P_CDFILIAL IS NULL) BEGIN
      SET @P_CDFILIAL = NULL
   END;

   IF (@P_SUBPRODUTO = @P_CDPRODUTO) BEGIN
      RAISERROR('Um produto no pode ter como sub-produto ele mesmo ou um produto que o tenha como sub-produto.',16,1)
   END
   ELSE BEGIN
      SET @V_IDPRODLOCAL = 'N';

      IF NOT (@P_CDFILIAL IS NULL) BEGIN

         EXEC CURSOR_PRODLOCAL @P_CDFILIAL, @P_SUBPRODUTO, @P_CURSOR_LOC = @V_CURSORLOC OUTPUT;

         FETCH NEXT FROM @V_CURSORLOC INTO @V_CDSUBPRODLOC;

         WHILE (@@FETCH_STATUS = 0) BEGIN
            SET @V_IDPRODLOCAL = 'S';
            EXEC TESTAPRODUTO @P_CDPRODUTO, @V_CDSUBPRODLOC, @P_CDFILIAL;
            FETCH NEXT FROM @V_CURSORLOC INTO @V_CDSUBPRODLOC;
         END;
         CLOSE @V_CURSORLOC;
         DEALLOCATE @V_CURSORLOC;
      END;

      IF @V_IDPRODLOCAL = 'N' BEGIN

         PRINT CURSOR_STATUS('local', '@C_PRODUTO')

         EXEC CURSOR_PRODUTO @P_SUBPRODUTO, @P_CURSOR_PROD = @V_CURSORPAD OUTPUT;

         FETCH NEXT FROM @V_CURSORPAD INTO @V_CDSUBPRODLOC;

         WHILE (@@FETCH_STATUS = 0) BEGIN
            EXEC TESTAPRODUTO @P_CDPRODUTO, @V_CDSUBPRODLOC, @P_CDFILIAL;
            FETCH NEXT FROM @V_CURSORPAD INTO @V_CDSUBPRODLOC;
         END;
         CLOSE @V_CURSORPAD;
         DEALLOCATE @V_CURSORPAD;
      END;
   END;
END;
GO

