/*+
|                                               |
|     Trigger: DTULTATU_DIMENSAODIME            |  
|     Tabela : DIMENSAODIME                     |
|                                               |
|     Criao:                                  |
|     11/09/2007 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DIMENSAODIME'  and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_DIMENSAODIME
GO

CREATE TRIGGER DTULTATU_DIMENSAODIME
ON DIMENSAODIME
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'DIMENSAODIME', 'NRSEQUEDIME='   + NRSEQUEDIME +
                                 ';NMITEMDIME='   + NMITEMDIME  + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DIMENSAODIME
      SET DTULTATUDDIME = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(DIMENSAODIME.NRSEQUEDIME, 0)  = ISNULL(INSERTED.NRSEQUEDIME, 0))   AND
            (ISNULL(DIMENSAODIME.NMITEMDIME, 0)   = ISNULL(INSERTED.NMITEMDIME, 0));

   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_DIMENSAODIME','4.11.176';
GO

