import moment from 'moment';
import { TekGrid, TekRestDatasource } from '@zeedhi/teknisa-components-common';
import { Metadata } from '@zeedhi/core';
import { Modal, ModalService, TextInput, Textarea, Form } from '@zeedhi/common';

export class LogOperacoesController {
    public filterDate: any;

    private modal!: Modal;

    public onCreatedGridLogOperacoes() {
        const actualDate = moment().format('DD/MM/YYYY');
            this.filterDate = [actualDate, actualDate];
            const { datasource } = Metadata.getInstance<TekGrid>('logOperacaoGrid');
            (datasource as TekRestDatasource).dynamicFilter = {
                DTOPERACAO: [{
                    relation: 'AND',
                    operation: 'BETWEEN',
                    value: [actualDate, actualDate],
                }],
            };
            datasource.get();
    }

    public async openModal({ row }: any) {
        this.modal = await ModalService.createFromJson('components/log-operacao-sistema/modal/modal', true);
        await this.modal.show();
        this.loadDataModal(row);
    }

    public closeLogOperacaoModal() {
        this.modal.hide();
        this.modal?.destroy();
    }

    public async loadDataModal(row: any) {
        let nameTypeOper = '';
        if (row.IDTIPOOPER === '1') {
            nameTypeOper = 'Inclusão';
        } else if (row.IDTIPOOPER === '2') {
            nameTypeOper = 'Alteração';
        } else if (row.IDTIPOOPER === '3') {
            nameTypeOper = 'Exclusão';
        }

        const form = Metadata.getInstance<Form>('formLogOperacaoModal');
        form.getChildInstance<TextInput>('CDPESQITEM').value = row.CDPESQITEM;
        form.getChildInstance<TextInput>('DTOPERACAO').value = row.DTOPERACAO;
        form.getChildInstance<TextInput>('IDTIPOOPER').value = nameTypeOper;
        form.getChildInstance<TextInput>('NMTABELA').value = row.NMTABELA;
        form.getChildInstance<TextInput>('NMRESPOPER').value = row.NMRESPOPER;
        form.getChildInstance<TextInput>('NMFILIAL').value = row.NMFILIAL;
        form.getChildInstance<Textarea>('DSOPERACAO').value = row.DSOPERACAO;
    }
}
